# ColorLogger

## 介绍

一个使用Python3编写的简单的彩色日志工具,主要特性:

* 使用简单
* 彩色输出
* 中文注释
* 支持全部Python3版本(>=3.0)


## 安装教程

### Windows平台

```shell
pip install colorloggers
```

### Linux平台

```shell
pip3 install colorloggers
```

## Demo

```
# -*- encoding: utf-8 -*-
"""
@File    :   demo.py
@Time    :   2022-10-26 23:51
@Author  :   坐公交也用券
@Version :   1.0
@Contact :   faith01238@hotmail.com
@Homepage : https://liumou.site
@Desc    :   当前文件作用
"""
from ColorLoggers import ColorLogger

logger = ColorLogger()
logger.info("1", "2")
logger.debug("3", "4")
logger.warning("5")
logger.error("6", "7", "yes")
```

效果

![效果](https://img-blog.csdnimg.cn/faf73cc95f8742fe8c05504936773c7a.png)

# 项目主页

[Pypi](https://pypi.org/project/colorloggers/)

[Gitee](https://gitee.com/liumou_site/colorlog-liumou.git)